Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum EKeyReferenceType

    java.lang.Object
      java.lang.Enum<EKeyReferenceType>
          gudusoft.gsqlparser.EKeyReferenceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EKeyReferenceType>

    public enum EKeyReferenceType

extends java.lang.Enum<EKeyReferenceType>

Enum Constant Summary
`cascade`
`no_action`
`restrict`
`set_default`
`set_null`

Method Summary
`static EKeyReferenceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EKeyReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### no_action

    public static final EKeyReferenceType no_action

### restrict

    public static final EKeyReferenceType restrict

### cascade

    public static final EKeyReferenceType cascade

### set_null

    public static final EKeyReferenceType set_null

### set_default

    public static final EKeyReferenceType set_default

Method Detail

### values

    public static final EKeyReferenceType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EKeyReferenceType c : EKeyReferenceType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EKeyReferenceType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD